Joomla!: le CMS presque parfait…

Nous n’avons pas encore fait cas des sorties des dernières mises à jour du système de gestion de contenu (SGC) Joomla! dans nos colonnes:

Les deux branches (1.0.x et 1.5.x) du CMS Joomla! continuent de coexister. Les plus prudents persévéreront avec la première, ne serait-ce que pour une question de compatibilité des extensions tierces installées sur leurs plateformes, tandis que les plus enthousiastes (et il y a de quoi) se seront mis à la seconde, quitte à activer le plugin "System – Legacy" (rendant le système plus lent) pour que leurs anciennes extensions tierces continuent de fonctionner.

Note du 29.03.08:  

L’âge mûr, mais…

Avec la branche 1.5.x, le CMS Joomla! s’est embelli et simplifié. Il est devenu plus mature, plus stable, plus complet, plus efficace, plus convaincant.

Une ombre au si beau tableau demeure pourtant: les "tables" qu’il intègre toujours dans son code-source pour mettre en forme certaines partie des pages qu’il produit. Or, pour produire des pages conformes aux standards du web, les "tables" (tableaux) doivent être réservées à l’affichage de données en nombre et non pas à la mise en place d’éléments dans une charte graphique.

Tous les efforts des concepteurs de templates pour Joomla! pour faire des gabarits "tout CSS" n’y changeront rien: dans son état actuel Joomla! restera non-conforme aux standards. Attendons peut-être la branche 1.6 ou testons un peu, pour voir, la nouvelle version du CMS Drupal qui, nous nous le sommes laissé dire, serait conforme auxdits standards, elle…

Liens

Primaires 

Joomla!: Mise à jour 

Secondaires

Joomla!: Compatibilité des extensions et Legacy Mode 
  • Extensions compatibles Joomla 1.5 – Test Extensions (lesh.fr.nf)
    Peu d’extensions sont compatibles Joomla 1.5. Celles qui tournent avec le plugin legacy activé nécessitent plus de ressources, un beau cirque en perspective. Dans la mesure du possible, il faut préférer les extensions 1.5 natives. Voici un petit tableau qui recense quelques extensions qui sont devraient fonctionner avec la nouvelle version du CMS. […]
  • How to Enable Legacy Mode in Joomla! 1.5 – My Digital Life
    The future of Joomla! CMS, Jomla! version 1.5, has new framework with code based for the Joomla! core completely re-written and built with PHP 5. Thus, a lot of existing extensions, plugins, templates and modules for Joomla! version 1.0.x does not work or fail to work properly in the Joomla! 1.5, sometimes not even able to upload and install the package. Users will get error messages such as “Direct Access to this location is not allowed” and “Must Enable Legacy Mode. […]
Standards du web
Joomla!: Concepteurs de templates (gabarits) de qualité
Templates pour Joomla! commerciaux et gratuits 

Partenariat

Templates Joomla! gratuits et commerciaux

Vous cherchez des templates Joomla! de qualité professionnelle ?

IceTheme Joomla Templates Club

Rendez-vous chez notre partenaire Icetheme !

Yiannis Girod

Yiannis Girod est administrateur de la société éponyme. Il est également formateur en informatique et créateur de sites web sous CMS (spécialiste Wordpress).